Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class lexer

    java.lang.Object
      rdlc.rdl.lexer

All Implemented Interfaces:
  Scanner

    public class lexer

extends java.lang.Object
implements Scanner

This class is a scanner generated by JFlex 1.4.1 on 2/25/06 6:18 PM from the specification file `Z:/Projects/RAMP/Code/RDLC/rdlc/rdl/RDL.jflex`

Field Summary
`protected java.util.List<Error>` | `errorLog`
`protected java.lang.String` | `fileName`
`protected int` | `LiteralBSlashCount`
`protected java.lang.StringBuffer` | `LiteralBuffer`
`protected boolean` | `negative`
`private int` | `yychar` the number of characters up to the start of the matched text
`private int` | `yycolumn` the number of characters from the last newline up to the start of the matched text
`static int` | `YYCOMMENT` lexical states
`static int` | `YYEOF` This character denotes the end of file
`static int` | `YYINITIAL`
`private int` | `yyline` number of newlines encountered up to the start of the matched text
`static int` | `YYLITERAL`
`static int` | `YYNOWHITE`
`static int` | `YYNUMBER`
`private static int[]` | `ZZ_ACTION` Translates DFA states to action switch labels.
`private static java.lang.String` | `ZZ_ACTION_PACKED_0`
`private static int[]` | `ZZ_ATTRIBUTE` ZZ_ATTRIBUTE[aState] contains the attributes of state `aState`
`private static java.lang.String` | `ZZ_ATTRIBUTE_PACKED_0`
`private static int` | `ZZ_BUFFERSIZE` initial size of the lookahead buffer
`private static char[]` | `ZZ_CMAP` Translates characters to character classes
`private static java.lang.String` | `ZZ_CMAP_PACKED` Translates characters to character classes
`private static java.lang.String[]` | `ZZ_ERROR_MSG`
`private static int` | `ZZ_NO_MATCH`
`private static int` | `ZZ_PUSHBACK_2BIG`
`private static int[]` | `ZZ_ROWMAP` Translates a state to a row index in the transition table
`private static java.lang.String` | `ZZ_ROWMAP_PACKED_0`
`private static int[]` | `ZZ_TRANS` The transition table of the DFA
`private static java.lang.String` | `ZZ_TRANS_PACKED_0`
`private static int` | `ZZ_UNKNOWN_ERROR`
`private boolean` | `zzAtBOL` zzAtBOL == true <=> the scanner is currently at the beginning of a line
`private boolean` | `zzAtEOF` zzAtEOF == true <=> the scanner is at the EOF
`private char[]` | `zzBuffer` this buffer contains the current text to be matched and is the source of the yytext() string
`private int` | `zzCurrentPos` the current text position in the buffer
`private int` | `zzEndRead` endRead marks the last character in the buffer, that has been read from input
`private boolean` | `zzEOFDone` denotes if the user-EOF-code has already been executed
`private int` | `zzLexicalState` the current lexical state
`private int` | `zzMarkedPos` the textposition at the last accepting state
`private int` | `zzPushbackPos` the textposition at the last state to be included in yytext
`private java.io.Reader` | `zzReader` the input device
`private int` | `zzStartRead` startRead marks the beginning of the yytext() string in the buffer
`private int` | `zzState` the current state of the DFA

Constructor Summary
`lexer(java.io.InputStream in)` Creates a new scanner.
`lexer(java.io.Reader in)` Creates a new scanner There is also a java.io.InputStream version of this constructor.

Method Summary
`protected ErrorLocation` | `getErrorLocation()`
`protected int` | `getL()`
`protected int` | `getR()`
`Symbol` | `next_token()` Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
`void` | `setErrorList(java.util.List<Error> _errorLog, java.lang.String _fileName)`
`void` | `yybegin(int newState)` Enters a new lexical state
`char` | `yycharat(int pos)` Returns the character at position `pos` from the matched text.
`void` | `yyclose()` Closes the input stream.
`int` | `yylength()` Returns the length of the matched text region.
`void` | `yypushback(int number)` Pushes the specified amount of characters back into the input stream.
`void` | `yyreset(java.io.Reader reader)` Resets the scanner to read from a new input stream.
`int` | `yystate()` Returns the current lexical state.
`java.lang.String` | `yytext()` Returns the text matched by the current regular expression.
`private void` | `zzDoEOF()` Contains user EOF-code, which will be executed exactly once, when the end of file is reached
`private boolean` | `zzRefill()` Refills the input buffer.
`private void` | `zzScanError(int errorCode)` Reports an error that occured while scanning.
`private static int[]` | `zzUnpackAction()`
`private static int` | `zzUnpackAction(java.lang.String packed, int offset, int[] result)`
`private static int[]` | `zzUnpackAttribute()`
`private static int` | `zzUnpackAttribute(java.lang.String packed, int offset, int[] result)`
`private static char[]` | `zzUnpackCMap(java.lang.String packed)` Unpacks the compressed character translation table.
`private static int[]` | `zzUnpackRowMap()`
`private static int` | `zzUnpackRowMap(java.lang.String packed, int offset, int[] result)`
`private static int[]` | `zzUnpackTrans()`
`private static int` | `zzUnpackTrans(java.lang.String packed, int offset, int[] result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YYEOF

    public static final int YYEOF

  This character denotes the end of file

  See Also:
    Constant Field Values

### ZZ_BUFFERSIZE

    private static final int ZZ_BUFFERSIZE

  initial size of the lookahead buffer

  See Also:
    Constant Field Values

### YYCOMMENT

    public static final int YYCOMMENT

  lexical states

  See Also:
    Constant Field Values

### YYNUMBER

    public static final int YYNUMBER

See Also:
  Constant Field Values

### YYLITERAL

    public static final int YYLITERAL

See Also:
  Constant Field Values

### YYINITIAL

    public static final int YYINITIAL

See Also:
  Constant Field Values

### YYNOWHITE

    public static final int YYNOWHITE

See Also:
  Constant Field Values

### ZZ_CMAP_PACKED

    private static final java.lang.String ZZ_CMAP_PACKED

  Translates characters to character classes

  See Also:
    Constant Field Values

### ZZ_CMAP

    private static final char[] ZZ_CMAP

  Translates characters to character classes

### ZZ_ACTION

    private static final int[] ZZ_ACTION

  Translates DFA states to action switch labels.

### ZZ_ACTION_PACKED_0

    private static final java.lang.String ZZ_ACTION_PACKED_0

See Also:
  Constant Field Values

### ZZ_ROWMAP

    private static final int[] ZZ_ROWMAP

  Translates a state to a row index in the transition table

### ZZ_ROWMAP_PACKED_0

    private static final java.lang.String ZZ_ROWMAP_PACKED_0

See Also:
  Constant Field Values

### ZZ_TRANS

    private static final int[] ZZ_TRANS

  The transition table of the DFA

### ZZ_TRANS_PACKED_0

    private static final java.lang.String ZZ_TRANS_PACKED_0

See Also:
  Constant Field Values

### ZZ_UNKNOWN_ERROR

    private static final int ZZ_UNKNOWN_ERROR

See Also:
  Constant Field Values

### ZZ_NO_MATCH

    private static final int ZZ_NO_MATCH

See Also:
  Constant Field Values

### ZZ_PUSHBACK_2BIG

    private static final int ZZ_PUSHBACK_2BIG

See Also:
  Constant Field Values

### ZZ_ERROR_MSG

    private static final java.lang.String[] ZZ_ERROR_MSG

### ZZ_ATTRIBUTE

    private static final int[] ZZ_ATTRIBUTE

  ZZ_ATTRIBUTE[aState] contains the attributes of state `aState`

### ZZ_ATTRIBUTE_PACKED_0

    private static final java.lang.String ZZ_ATTRIBUTE_PACKED_0

See Also:
  Constant Field Values

### zzReader

    private java.io.Reader zzReader

  the input device

### zzState

    private int zzState

  the current state of the DFA

### zzLexicalState

    private int zzLexicalState

  the current lexical state

### zzBuffer

    private char[] zzBuffer

  this buffer contains the current text to be matched and is the source of the yytext() string

### zzMarkedPos

    private int zzMarkedPos

  the textposition at the last accepting state

### zzPushbackPos

    private int zzPushbackPos

  the textposition at the last state to be included in yytext

### zzCurrentPos

    private int zzCurrentPos

  the current text position in the buffer

### zzStartRead

    private int zzStartRead

  startRead marks the beginning of the yytext() string in the buffer

### zzEndRead

    private int zzEndRead

  endRead marks the last character in the buffer, that has been read from input

### yyline

    private int yyline

  number of newlines encountered up to the start of the matched text

### yychar

    private int yychar

  the number of characters up to the start of the matched text

### yycolumn

    private int yycolumn

  the number of characters from the last newline up to the start of the matched text

### zzAtBOL

    private boolean zzAtBOL

  zzAtBOL == true <=> the scanner is currently at the beginning of a line

### zzAtEOF

    private boolean zzAtEOF

  zzAtEOF == true <=> the scanner is at the EOF

### zzEOFDone

    private boolean zzEOFDone

  denotes if the user-EOF-code has already been executed

### LiteralBuffer

    protected java.lang.StringBuffer LiteralBuffer

### LiteralBSlashCount

    protected int LiteralBSlashCount

### errorLog

    protected java.util.List<Error> errorLog

### fileName

    protected java.lang.String fileName

### negative

    protected boolean negative

Constructor Detail

### lexer

    public lexer(java.io.Reader in)

  Creates a new scanner There is also a java.io.InputStream version of this constructor.

  Parameters:
    `in` - the java.io.Reader to read input from.

### lexer

    public lexer(java.io.InputStream in)

  Creates a new scanner. There is also java.io.Reader version of this constructor.

  Parameters:
    `in` - the java.io.Inputstream to read input from.

Method Detail

### zzUnpackAction

    private static int[] zzUnpackAction()

### zzUnpackAction

    private static int zzUnpackAction(java.lang.String packed,
                                      int offset,
                                      int[] result)

### zzUnpackRowMap

    private static int[] zzUnpackRowMap()

### zzUnpackRowMap

    private static int zzUnpackRowMap(java.lang.String packed,
                                      int offset,
                                      int[] result)

### zzUnpackTrans

    private static int[] zzUnpackTrans()

### zzUnpackTrans

    private static int zzUnpackTrans(java.lang.String packed,
                                     int offset,
                                     int[] result)

### zzUnpackAttribute

    private static int[] zzUnpackAttribute()

### zzUnpackAttribute

    private static int zzUnpackAttribute(java.lang.String packed,
                                         int offset,
                                         int[] result)

### setErrorList

    public void setErrorList(java.util.List<Error> _errorLog,
                             java.lang.String _fileName)

### getL

    protected int getL()

### getR

    protected int getR()

### getErrorLocation

    protected ErrorLocation getErrorLocation()

### zzUnpackCMap

    private static char[] zzUnpackCMap(java.lang.String packed)

  Unpacks the compressed character translation table.

  Parameters:
    `packed` - the packed character translation table
  Returns:
    the unpacked character translation table

### zzRefill

    private boolean zzRefill()
                      throws java.io.IOException

  Refills the input buffer.

  Returns:
    `false`, iff there was new input.
  Throws:
    `java.io.IOException` - if any I/O-Error occurs

### yyclose

    public final void yyclose()
                       throws java.io.IOException

  Closes the input stream.

  Throws:
    `java.io.IOException`

### yyreset

    public final void yyreset(java.io.Reader reader)

  Resets the scanner to read from a new input stream. Does not close the old reader. All internal variables are reset, the old input stream cannot be reused (internal buffer is discarded and lost). Lexical state is set to `ZZ_INITIAL`.

  Parameters:
    `reader` - the new input stream

### yystate

    public final int yystate()

  Returns the current lexical state.

### yybegin

    public final void yybegin(int newState)

  Enters a new lexical state

  Parameters:
    `newState` - the new lexical state

### yytext

    public final java.lang.String yytext()

  Returns the text matched by the current regular expression.

### yycharat

    public final char yycharat(int pos)

  Returns the character at position `pos` from the matched text. It is equivalent to yytext().charAt(pos), but faster

  Parameters:
    `pos` - the position of the character to fetch. A value from 0 to yylength()-1.
  Returns:
    the character at position pos

### yylength

    public final int yylength()

  Returns the length of the matched text region.

### zzScanError

    private void zzScanError(int errorCode)

  Reports an error that occured while scanning. In a wellformed scanner (no or only correct usage of yypushback(int) and a match-all fallback rule) this method will only be called with things that "Can't Possibly Happen". If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty scanner etc.). Usual syntax/scanner level error handling should be done in error fallback rules.

  Parameters:
    `errorCode` - the code of the errormessage to display

### yypushback

    public void yypushback(int number)

  Pushes the specified amount of characters back into the input stream. They will be read again by then next call of the scanning method

  Parameters:
    `number` - the number of characters to be read again. This number must not be greater than yylength()!

### zzDoEOF

    private void zzDoEOF()
                  throws java.io.IOException

  Contains user EOF-code, which will be executed exactly once, when the end of file is reached

  Throws:
    `java.io.IOException`

### next_token

    public Symbol next_token()
                      throws java.io.IOException

  Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.

  Specified by:
    `next_token` in interface `Scanner`
  Returns:
    the next token
  Throws:
    `java.io.IOException` - if any I/O-Error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD